Class | Fog::Compute::IBM::Address
In: | lib/fog/ibm/models/compute/address.rb
Parent: | Fog::Model

### Methods

destroy new ready? save state

### Constants

STATES | = | { 0 => 'New', 1 => 'Allocating', 2 => 'Free', 3 => 'Attached', 4 => 'Releasing', 5 => 'Released', 6 => 'Failed', 7 => 'Release pending', }

### Public Class methods

new(new_attributes={})

### Public Instance methods

destroy()
ready?()
save()
state()

[Validate]